Ignore:
Timestamp:
2017-11-04T20:27:56+01:00 (4 years ago)
Author:
Don-vip
Message:

see #15560 - EqualsVerifier does not work with newer Java versions -> disable tests automatically in this case
Workaround to https://github.com/jqno/equalsverifier/issues/177 / https://github.com/raphw/byte-buddy/issues/370
Inspired by https://issues.apache.org/jira/browse/SOLR-11606

File:
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/test/unit/org/openstreetmap/josm/plugins/PluginHandlerTest.java

    r12754 r13079  
    1414import org.junit.Test;
    1515import org.openstreetmap.josm.Main;
     16import org.openstreetmap.josm.TestUtils;
    1617import org.openstreetmap.josm.gui.preferences.plugin.PluginPreferenceTest;
    1718import org.openstreetmap.josm.plugins.PluginHandler.DeprecatedPlugin;
     
    4041    @Test
    4142    public void testEqualsContract() {
     43        TestUtils.assumeWorkingEqualsVerifier();
    4244        EqualsVerifier.forClass(DeprecatedPlugin.class).usingGetClass().verify();
    4345    }
Note: See TracChangeset for help on using the changeset viewer.